package com.oracle.coherence.handson;

import com.tangosol.net.CacheFactory;
import com.tangosol.net.NamedCache;

import com.tangosol.util.filter.AndFilter;
import com.tangosol.util.filter.EqualsFilter;

import com.tangosol.util.filter.GreaterEqualsFilter;

import java.util.Set;

public class QueryExample {
    public QueryExample() {
    }

    public static void main(String[] args) {
        
        NamedCache person = CacheFactory.getCache("person");
        
        // get a set of all males
        Set males = person.entrySet(
                        new EqualsFilter("getGender",Person.MALE ));
        
        Set malesOver35 = person.entrySet(
                        new AndFilter(
                         new EqualsFilter("getGender",Person.MALE ),
                         new GreaterEqualsFilter("getAge",35)) );
        
        System.out.println("Total number of males is " + males.size());
        System.out.println("Total number of males > 35 " + malesOver35.size());
    }
}
