package com.oracle.coherence.handson;

import com.tangosol.net.CacheFactory;
import com.tangosol.net.DistributedCacheService;
import com.tangosol.net.Member;
import com.tangosol.net.NamedCache;

import java.util.LinkedList;

public class KeyTester2 {
    public KeyTester2() {
    }

    public static void main(String[] args) {
        
        NamedCache person = CacheFactory.getCache("person");
        LinkedList peopleList = new LinkedList();
        
        // build the list
        peopleList.add( new Person(1,"Flinstone","Fred","Address",29,Person.MALE));
        peopleList.add( new Person(2,"Flinstone","Wilma","Address",29,Person.FEMALE));
        peopleList.add( new Person(3,"Rubble","Barney","Address",44,Person.MALE));
        peopleList.add( new Person(4,"Rubble","Betty","Address",44,Person.FEMALE));
        peopleList.add( new Person(5,"Rubble","Dino","Address",44,Person.FEMALE));
        
        for (java.util.Iterator iterator = peopleList.iterator(); iterator.hasNext();) {
                
                Person p = (Person)iterator.next();
                person.put(p.getKey(), p);
            
                Member m = ((DistributedCacheService)person.getCacheService()).getKeyOwner(p.getKey());
                System.out.println("Person " + p.getFirstname() + " " + p.getSurname() +
                                   " is owned by member " + m.getId());
        }
        

    }
}

